using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Newtonsoft.Json;


namespace isn
{
   
    partial class Program
    {
         public static List<PushReport> PushPkg(IEnumerable<string> pkgs)
        {
            List<PushReport> pushReports = new List<PushReport>();
            var cmd = new PushCommand(Settings);

            if (CurrentSource == null)  throw new InvalidOperationException("source is null");

            foreach (string pkg in pkgs)
            {
                var report = cmd.Run(pkg, CurrentSource, apiKey);
                pushReports.Add(report);
            }
            return pushReports;
        }
     
        private static object Add(IEnumerable<string> str)
        {
            throw new NotImplementedException();
        }
        
    }
}